function RBH_Init()
   --set version string
   RBH_VERSION = GetAddOnMetadata("RBH", "version")
   if RBH_HitList == nil then
      RBH_HitList = {}
   end      
   
   if RBH_CurrMoney == nil then
      RBH_CurrMoney = GetMoney()
   end
   
   --RBH_Largess = RBH_CurrMoney - RBH_GetTotalIssuedBountiesValue()
   --RBH_Largess = GetMoney() - RBH_GetTotalIssuedBountiesValue()
   
   if RBH_Config == nil then
      RBH_Config = {}
      RBH_Config["channel"] = "GUILD"
   end    
   
   --for testing only, remove later
    RBH_Config["RealmChannel"] = false
    RBH_Config["PrivateChannel"] = true
    RBH_Config["GuildChannel"] = false
   
   RBH_CreateGUI()   
   RBH_ActionQueueInit()   
   
   --get player faction and enemy faction
   RBH_PlayerFaction = UnitFactionGroup("player")
   if RBH_PlayerFaction == "Alliance" then
      RBH_EnemyFaction = "Horde"
   else
      RBH_EnemyFaction = "Alliance"
   end
   
   SLASH_RBH1 = "/rbh"
   SlashCmdList["RBH"] = RBH_Commands;
   
    --set portrait icon
    SetPortraitToTexture(RBH_HitListFrameSkullnXBonesTexture,"interface\\targetingframe\\targetdead")
    --SendAddonMessage("RBH_HL_SYNC_REQ",nil,"GUILD"); 

    RBH_GUILD_CHANNEL = GetGuildInfo("player")
end  

function RBH_GetTotalIssuedBountiesValue()
    local i
    local amount = 0
    for i=1,#RBH_HitList do
        if RBH_HitList[i].issuer == RBH_GetFullName("player") and RBH_HitList[i].state ~= "RBH_PAID" and 
           RBH_HitList[i].state ~= "RBH_DEL" then
            amount = amount + RBH_HitList[i].amount
        end
    end
    
    return amount
end